# Third Party Affiliates (TPA)

To pass third party affiliate IDs to Explodely, you need to update your product payment links to send an extra GET parameter “tpa” along with the payment link.

So for example, if your payment link is this:

<https://explodely.com/p/1234>

then when you pass any third party affiliate ID to it, say “test” then the product payment link should be this:

<https://explodely.com/p/1234?tpa=test>

Please note that this third party affiliate ID will show as “tpa\_test” on checkout page as well as on all recorded data including clicks, sales, etc.

To get the affiliate ID from your 3rd party affiliate network on your sales page and then for passing it to Explodely payment links, you can use any server side language like PHP or if your sales page code can only have HTML/JS code then you can use that as well. Please find example code below for both scenarios.

\#1 PHP

If the sales page URL gets affiliate ID value in “subid” parameter like <https://yoursaleswebsite.com/index.html?subid=AFFILIATEID> then the Explodely link can be written like this:

`<a href=”https://explodely.com/p/PRODUCTID?tpa=<?php echo $_GET[‘subid’]; ?>”>Click Here To Pay</a>`

\#2 HTML/JS

For above same example:

`<a onclick=’explinkclick(event);’ href=””>Click Here To Pay</a><br/>`

`<script type=”text/javascript”>`\
`var getUrlParameter = function getUrlParameter(sParam) {`\
&#x20;   `var sPageURL = window.location.search.substring(1),`\
&#x20;       `sURLVariables = sPageURL.split(‘&’),`\
&#x20;       `sParameterName,`\
&#x20;       `i;`

&#x20;   `for (i = 0; i < sURLVariables.length; i++) {`\
&#x20;       `sParameterName = sURLVariables[i].split(‘=’);`

&#x20;       `if (sParameterName[0] === sParam) {`\
&#x20;           `return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);`\
&#x20;       `}`\
&#x20;   `}`\
&#x20;   `return false;`\
`};`

`var affid = getUrlParameter(‘subid’);`\
`function explinkclick(event) {`\
&#x20; `event.preventDefault();`\
&#x20; `window.location=’http://explodely.com/p/PRODUCTID?tpa=’ + affid;`\
`}`\
`</script>`

Please don’t forget to replace subid with whatever URL parameter name your sales page gets the affiliate ID with.

Also keep in mind that if you pass third party affiliate ID to your payment links then the product commission is automatically set as zero percent which means for the traffic and sales coming through third party affiliates, you cannot use Explodely affiliate system.

For any queries, please contact Explodely vendor support or your account manager.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.explodely.com/articles/third-party-affiliates-tpa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
